Unary · Accounts
Endpoint
POST /api/gitpod.v1.AccountService/ListSSOLogins
https://app.ona.com with that domain.
Request example
export ONA_HOST=https://app.ona.com
export ONA_API_KEY=<your-token>
curl --request POST \
--url "$ONA_HOST/api/gitpod.v1.AccountService/ListSSOLogins" \
--header "Authorization: Bearer $ONA_API_KEY" \
--header "Content-Type: application/json" \
--data '{
"email": "<email>"
}'
import gitpod.v1.account_pb2 as account_pb2
from ona_sdk import create_client_from_env
ona = create_client_from_env()
request = account_pb2.ListSSOLoginsRequest(
email="<email>",
)
response = ona.services.account.list_sso_logins(request)
print(response)
import { create } from "@bufbuild/protobuf";
import { createClientFromEnv } from "@gitpod/sdk";
import { ListSSOLoginsRequestSchema } from "@gitpod/sdk/gitpod/v1/account_pb";
async function main() {
const ona = createClientFromEnv();
const request = create(ListSSOLoginsRequestSchema, {
email: "<email>",
});
const response = await ona.services.account.listSSOLogins(request);
console.log(response);
}
main().catch(console.error);
package main
import (
"context"
"fmt"
"log"
"connectrpc.com/connect"
"github.com/gitpod-io/gitpod-sdk-go/sdk"
gitpodpb "github.com/gitpod-io/gitpod-sdk-go/v1"
)
func main() {
ona, err := sdk.NewFromEnv()
if err != nil {
log.Fatal(err)
}
request := connect.NewRequest(&gitpodpb.ListSSOLoginsRequest{
Email: "<email>",
})
response, err := ona.Services.Account.ListSSOLogins(context.Background(), request)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Msg)
}
{
"email": "<email>"
}
Request
gitpod.v1.ListSSOLoginsRequest
| Field | Type | Required | Description |
|---|---|---|---|
email | string | Yes | email is the email the user wants to login with Constraints: required=true, string.email=true. |
returnTo | string | No | return_to is the URL the user will be redirected to after login Constraints: ignore=1, string.uri=true. |
pagination | PaginationRequest | No | pagination contains the pagination options for listing SSO logins |
Response
gitpod.v1.ListSSOLoginsResponse
| Field | Type | Required | Description |
|---|---|---|---|
logins | array of Login | No | |
pagination | PaginationResponse | Yes | Constraints: required=true. |
Related types
Login
Login
gitpod.v1.ListSSOLoginsResponse.Login| Field | Type | Required | Description |
|---|---|---|---|
displayName | string | Yes | provider is the provider used by this login method, e.g. “github”, “google”, “custom” Constraints: required=true. |
loginUrl | string | Yes | login_url is the URL to redirect the user to for SSO login Constraints: required=true. |
PaginationRequest
PaginationRequest
gitpod.v1.PaginationRequest| Field | Type | Required | Description |
|---|---|---|---|
pageSize | integer | No | Page size is the maximum number of results to retrieve per page. Defaults to 25. Maximum 100. Constraints: int32.gte=0, int32.lte=100. |
token | string | No | Token for the next set of results that was returned as next_token of a PaginationResponse |
PaginationResponse
PaginationResponse
gitpod.v1.PaginationResponse| Field | Type | Required | Description |
|---|---|---|---|
nextToken | string | No | Token passed for retrieving the next set of results. Empty if there are no more results |